import subprocess
import argparse
import pathlib
import os


def main() -> None:
    parser = argparse.ArgumentParser()
    parser.add_argument("--prefix", default="/usr", help="The Prefix to install the files")
    args = parser.parse_args()

    project_root = pathlib.Path(__file__).parent

    try:
        os.makedirs(os.path.join(args.prefix, "share", "applications"))
    except FileExistsError:
        pass

    try:
        os.makedirs(os.path.join(args.prefix, "share", "metainfo"))
    except FileExistsError:
        pass

    subprocess.run(["msgfmt", "--desktop", "--template", str(project_root / "deploy" / "test.desktop"), "-d", str(project_root / "deploy" / "translations"), "-o",  os.path.join(args.prefix, "share", "applications", "test.desktop")])
    subprocess.run(["msgfmt", "--xml", "--template", str(project_root / "deploy" / "test.metainfo.xml"), "-d", str(project_root / "deploy" / "translations"), "-o",  os.path.join(args.prefix, "share", "metainfo", "test.metainfo.xmlp")])


if __name__ == "__main__":
    main()
