import subprocess
import pathlib


def main() -> None:
    deploy_path = pathlib.Path(__file__).parent / "deploy"
    pot_path = str(deploy_path / "translations" / "messages.pot")

    subprocess.run(["xgettext", "-l", "xml", "-o", pot_path, str(deploy_path / "test.metainfo.xml")], check=True)
    subprocess.run(["xgettext", "-l", "desktop", "-k", "-kComment", "-o", pot_path, "-j", str(deploy_path / "test.desktop")], check=True)

    for file in (deploy_path / "translations").iterdir():
        if file.suffix == ".po":
            subprocess.run(["msgmerge", "-o", str(file), str(file), pot_path], check=True)


if __name__ == "__main__":
    main()
